org.opencv.img_hash

## Class Img_hash

- java.lang.Object
- - org.opencv.img_hash.Img_hash

-     public class Img_hash
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `BLOCK_MEAN_HASH_MODE_0`
    `static int` | `BLOCK_MEAN_HASH_MODE_1`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Img_hash()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `averageHash(Mat inputArr, Mat outputArr)`
    `static void` | `blockMeanHash(Mat inputArr, Mat outputArr)`
    `static void` | `blockMeanHash(Mat inputArr, Mat outputArr, int mode)`
    `static void` | `colorMomentHash(Mat inputArr, Mat outputArr)`
    `static void` | `marrHildrethHash(Mat inputArr, Mat outputArr)`
    `static void` | `marrHildrethHash(Mat inputArr, Mat outputArr, float alpha)`
    `static void` | `marrHildrethHash(Mat inputArr, Mat outputArr, float alpha, float scale)`
    `static void` | `pHash(Mat inputArr, Mat outputArr)`
    `static void` | `radialVarianceHash(Mat inputArr, Mat outputArr)`
    `static void` | `radialVarianceHash(Mat inputArr, Mat outputArr, double sigma)`
    `static void` | `radialVarianceHash(Mat inputArr, Mat outputArr, double sigma, int numOfAngleLine)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### BLOCK_MEAN_HASH_MODE_0

          public static final int BLOCK_MEAN_HASH_MODE_0

      See Also:
        Constant Field Values

    - #### BLOCK_MEAN_HASH_MODE_1

          public static final int BLOCK_MEAN_HASH_MODE_1

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Img_hash

          public Img_hash()

  - ### Method Detail

    - #### averageHash

          public static void averageHash(Mat inputArr,
                                         Mat outputArr)

    - #### blockMeanHash

          public static void blockMeanHash(Mat inputArr,
                                           Mat outputArr,
                                           int mode)

    - #### blockMeanHash

          public static void blockMeanHash(Mat inputArr,
                                           Mat outputArr)

    - #### colorMomentHash

          public static void colorMomentHash(Mat inputArr,
                                             Mat outputArr)

    - #### marrHildrethHash

          public static void marrHildrethHash(Mat inputArr,
                                              Mat outputArr,
                                              float alpha,
                                              float scale)

    - #### marrHildrethHash

          public static void marrHildrethHash(Mat inputArr,
                                              Mat outputArr,
                                              float alpha)

    - #### marrHildrethHash

          public static void marrHildrethHash(Mat inputArr,
                                              Mat outputArr)

    - #### pHash

          public static void pHash(Mat inputArr,
                                   Mat outputArr)

    - #### radialVarianceHash

          public static void radialVarianceHash(Mat inputArr,
                                                Mat outputArr,
                                                double sigma,
                                                int numOfAngleLine)

    - #### radialVarianceHash

          public static void radialVarianceHash(Mat inputArr,
                                                Mat outputArr,
                                                double sigma)

    - #### radialVarianceHash

          public static void radialVarianceHash(Mat inputArr,
                                                Mat outputArr)

Generated on Wed Aug 29 2018 10:29:57 UTC / OpenCV 3.4.3